summaryrefslogtreecommitdiffstats
path: root/bin/run
diff options
context:
space:
mode:
Diffstat (limited to 'bin/run')
-rwxr-xr-xbin/run8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/run b/bin/run
new file mode 100755
index 0000000..f28011c
--- /dev/null
+++ b/bin/run
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+set -xe
+
+# This will run ghcid, which uses `./.ghcid` to invoke your program main entry
+# point, with the specified args.
+#
+# If you change ./.ghcid, ghcid will automatically reload.
+exec nix develop -c ghcid